%global pypi_name atomicwrites

%bcond_with docs

Name:           python-%{pypi_name}
Version:        1.4.1
Release:        %mkrel 1
Summary:        Atomic file writes
Group:          Development/Python
License:        MIT
URL:            https://github.com/untitaker/python-atomicwrites
Source0:        %{pypi_name}-%{version}.tar.xz
BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%if %{with docs}
BuildRequires:  python3-sphinx
%endif

%description
Powerful Python library for atomic file writes.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Powerful Python 3 library for atomic file writes.

%prep
%setup -qn %{pypi_name}-%{version}

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%if %{with docs}
# generate html docs
PYTHONPATH=${PWD} sphinx-build docs html

# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}
%endif

%install
%py3_install

%check
%{__python3} setup.py test

%files -n python3-%{pypi_name}
%doc README.rst LICENSE
%if %{with docs}
%doc html
%endif
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info

%changelog
* Sat Aug 20 2022 TerryN <terryn94 at gmail.com> 1.4.1-1pclos2022
- import for python 3.10
